Package org.eclipse.zest.core.widgets

# Interface IContainer2

All Superinterfaces:
  `IContainer`

All Known Implementing Classes:
  `Graph`, `GraphContainer`

public interface IContainer2 extends IContainer
Extend the IConnectionStyleProvider interface to provide additional methods introduced by Zest 2.x. WARNING: THIS API IS UNDER CONSTRUCTION AND SHOULD NOT BE USED

Since:
  1.12
@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addNode(GraphNode graphNode)`
`void`
`addSubgraphFigure(IFigure figure)`
`List<? extends GraphConnection>`
`getConnections()`
Returns list of connections laying inside this container.
`Widget`
`getItem()`
`DisplayIndependentRectangle`
`getLayoutBounds()`
`LayoutContext`
`getLayoutContext()`

### Methods inherited from interface org.eclipse.zest.core.widgets.IContainer

`applyLayout, getGraph, getItemType, getNodes, setLayoutAlgorithm`

## Method Details

### getItem

Widget getItem()

### getConnections

List<? extends GraphConnection> getConnections()
Returns list of connections laying inside this container. Only connections which both source and target nodes lay directly in this container are returned.

### addNode

void addNode(GraphNode graphNode)

Parameters:
  `graphNode` -
@noreference
  This method is not intended to be referenced by clients.

### addSubgraphFigure

void addSubgraphFigure(IFigure figure)

Parameters:
  `figure` -
@noreference
  This method is not intended to be referenced by clients.

### getLayoutBounds

DisplayIndependentRectangle getLayoutBounds()

### getLayoutContext

LayoutContext getLayoutContext()

@noreference
  This method is not intended to be referenced by clients.